Subject: Re: [msysGit] Re: [RFC] Enable compilation by Makefile for the MSVC toolchain

From: Marius Storm-Olsen <[email-masked]>
Date: Wed, 19 Aug 2009 12:59:02 +0200

Johannes Schindelin said the following on 19.08.2009 10:29:
> Hi,
> 
> On Wed, 19 Aug 2009, Marius Storm-Olsen wrote:
> 
>> The full IDE support is secondary, first because you *can* use the IDE 
>> already, and second because it'll be harder to whip something up which 
>> guarantees that the vcproj support stays in-sync at all times and won't 
>> lag behind.
> 
> I think the point of Frank's patches is to make Visual Studio users 
> comfortable with Git.  You cannot ask those to use a build process or an 
> IDE they are not used to.
> 
>> Of course, if someone has a huge itch to restructure the current 
>> Makefile; factoring out the files into a file which can simply be 
>> included in the current Makefile, and easily parsed by a script, or 
>> included by CMake, then that can be done in parallel and possible added 
>> to git mainline before the MSVC support patches from Frank.
> 
> I still think it would be possible to use a combination of a 
> Makefile rule and GNU make features to spit out a list of targets and 
> their dependet .h and .c files.

Ok, but you would still have to rely on GNU Make in this setup, and it 
would have to generate the common_cmds.h before you can even compile 
with the MSVC IDE.

--
.marius